[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStringList.OnChange

Event triggered after the list was modified.

## Declaration

Source position: classesh.inc line 764

`public property TStringList.OnChange : TNotifyEvent read FOnChange write FOnChange;`

## Description

OnChange can be assigned to respond to changes that have occurred in the list. The handler is called whenever strings are added, moved, modified or deleted from the list.

The Onchange event is triggered after the modification took place. When the modification is about to happen, an TstringList.OnChanging event occurs.

## See also

TStringList.OnChanging |  | Event triggered when the list is about to be modified.

Documentation generated on: Feb 26 2014